> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all squads for an organization

> Get a paginated list of squads with transfer rule counts



## OpenAPI

````yaml get /api/v1/squads
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/squads:
    get:
      tags:
        - Squad
      summary: List all squads for an organization
      description: Get a paginated list of squads with transfer rule counts
      parameters:
        - schema:
            type: string
          required: false
          name: cursor
          in: query
        - schema:
            type: string
            default: '10'
          required: false
          name: limit
          in: query
        - schema:
            type: string
          required: false
          name: archived
          in: query
      responses:
        '200':
          description: List of squads retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  squads:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        organizationId:
                          type: string
                          format: uuid
                        name:
                          type: string
                        description:
                          type: string
                          nullable: true
                        entrypointAgentId:
                          type: string
                          format: uuid
                        entrypointAgent:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            name:
                              type: string
                            agentType:
                              type: string
                              enum:
                                - CALL
                                - TEXT
                          required:
                            - id
                            - name
                            - agentType
                        archived:
                          type: boolean
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                        _count:
                          type: object
                          properties:
                            transferRules:
                              type: number
                          required:
                            - transferRules
                      required:
                        - id
                        - organizationId
                        - name
                        - description
                        - entrypointAgentId
                        - archived
                        - createdAt
                        - updatedAt
                        - _count
                  pagination:
                    type: object
                    properties:
                      limit:
                        type: number
                        minimum: 1
                        maximum: 100
                        default: 10
                      nextCursor:
                        type: string
                required:
                  - squads
                  - pagination
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````